# 星枢量化框架

初衷：刚开始是想单纯想写一个策略，对比多个框架后选择了[vnpy]([github.com](https://github.com/vnpy/vnpy))，他的文档很详细，但我入门还是用了较长的时间去阅读文档和看他的源码，后来考虑到我不需要使用图形化界面和想以母语中文对我后续策略开发和策略维护更友好的想法，决定以vnpy中的`examples/no_ui/run.py`为基础，进行全面中文重构。

星枢（xingshu）—— 专为中文母语开发者打造的量化交易研发框架，致力于提供更友好的开发体验。作为本土化策略研发解决方案，它不仅深度契合中文开发者的思维习惯，更提供从策略设计到高效落地的全流程支持，助力开发者聚焦核心交易逻辑的构建与优化。

## 📖 项目背景

为满足中文开发者对策略代码可读性和可维护性的需求，本项目以[vnpy-3.9.4]([vnpy/vnpy at 3.9.4](https://github.com/vnpy/vnpy/tree/3.9.4))为基础，全面重构：

- **全中文命名体系**：包/模块/类/变量100%中文标识
- **深度语义对应**：保留原框架设计理念，建立精确中英术语映射
- **无缝兼容升级**：在保持功能一致性的基础上提升中文开发体验

## 🚀 核心优势

### 中文友好性

- 完全消除英文术语障碍
- API设计符合中文编程思维习惯
- 文档字符串及注释全中文化

### 架构延续性

- 完整保留vnpy的优秀架构设计
- 事件驱动引擎、主引擎等核心机制保持不变
- 渐进式重构保证功能稳定性

### 开发便捷性

- 更直观的代码导航
- 降低新人学习成本
- 提升长期维护效率

### 开发进度看板

| 模块            | 进度   | 预计完成时间 |
| :-------------- | :----- | :----------- |
| 事件引擎        | ✅ 100% | 已发布       |
| 主引擎          | ✅ 100% | 已发布       |
| CTA自动交易模块 | ✅ 100% | 已发布       |
| CTP接口         | ✅ 100% | 已发布       |

## 🤝 贡献指南

欢迎提交中文命名的：

- 📝 文档翻译
- 🐛 Bug修复
- 🎯 功能增强
